package standardlib

import (
	"github.com/magiconair/properties/assert"
	"github.com/odysseus/nodemanager/config"
	"testing"
)

func TestNewStandardTasks(t *testing.T) {
	config.ParseConfig("../config.toml")
	s := NewStandardTasks()
	{
		_, exist := s.GetTask(999)
		assert.Equal(t, exist, true)
	}
	{
		_, exist := s.GetTask(10)
		assert.Equal(t, exist, false)
	}

}
